import type { Adapter, AdapterFunctions, CommonAdapterFunctions, AdapterPrimalPool } from './types';
declare const createAdapter: <ConfiguredProps extends {}, Config extends import("./types").UnbrandProps<{
    snapshotBucketSize?: import("io-ts").Branded<number, import("io-ts").IntBrand> | undefined;
}>>({ maybeThrowResourceError, validateEventFilter, loadEvents, importEventsStream, exportEventsStream, incrementalImport, getNextCursor, importSecretsStream, exportSecretsStream, init, drop, gatherSecretsFromEvents, getEventLoader, }: CommonAdapterFunctions<ConfiguredProps>, { dispose, loadEventsByCursor, loadEventsByTimestamp, ensureEventSubscriber, removeEventSubscriber, getEventSubscribers, getLatestEvent, saveEvent, initEvents, initSecrets, initFinal, dropEvents, dropSecrets, dropFinal, injectEvent, injectEvents, freeze, unfreeze, shapeEvent, loadSnapshot, saveSnapshot, dropSnapshot, beginIncrementalImport, commitIncrementalImport, rollbackIncrementalImport, pushIncrementalImport, getSecret, setSecret, deleteSecret, loadSecrets, injectSecret, replicateEvents, replicateSecrets, setReplicationPaused, setReplicationStatus, getReplicationState, resetReplication, setReplicationLock, getCursorUntilEventTypes, describe, establishTimeLimit, getEventLoaderNative, runtimeInfo, setReconnectionMode, }: AdapterFunctions<ConfiguredProps>, options: Config, configure: (props: AdapterPrimalPool<ConfiguredProps>, config: Config) => void) => Adapter;
export default createAdapter;
